%define name GtkScintilla
%define version 0.8.2
%define release %mkrel 4

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d


Summary: GtkScintilla - A wrapper for Scintilla editing component
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Url: http://www.micampe.it/software/moleskine
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libgtk+-devel

%description
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).

%package -n %libname
Summary: GtkScintilla - A wrapper for Scintilla editing component
Group: System/Libraries

%description -n %libname
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).

%package -n %libnamedev
Summary: GtkScintilla - A wrapper for Scintilla editing component
Group: Development/Other
Provides: libGtkScintilla-devel 
Obsoletes: libGtkScintilla-devel
Requires: %libname = %version

%description -n %libnamedev
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).


%prep
%setup -q

%build
%make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%_libdir/libgtkscintilla.a

%clean
rm -fr $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%doc COPYING README 
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-, root, root)
#%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Thu Dec 05 2006 Lenny Cartier <lenny@mandriva.com> 0.8.2-4mdk
- rebuild

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-3mdk
- rebuild
- remove .a for now

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- rebuild

* Thu Jan 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- libification
- from Austin Acton <aacton@yorku.ca> :
	- initial package
